Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.util
Class StackedIterator

    java.lang.Object
      org.jaxen.util.StackedIterator

All Implemented Interfaces:
  Iterator

Deprecated. this iterator is no longer used to implement any of the Jaxen axes. If you have implemented a navigator-specific axis based on this class, take a look at the DescendantAxisIterator for ideas on how to remove that dependency.

public abstract class StackedIterator
extends Object
implements Iterator

Constructor Summary
`protected` | `StackedIterator()` Deprecated.
`` | `StackedIterator(Object contextNode, Navigator navigator)` Deprecated.

Method Summary
`protected abstract Iterator` | `createIterator(Object contextNode)` Deprecated.
`protected Navigator` | `getNavigator()` Deprecated.
`boolean` | `hasNext()` Deprecated.
`protected void` | `init(Object contextNode, Navigator navigator)` Deprecated.
`protected Iterator` | `internalCreateIterator(Object contextNode)` Deprecated.
`Object` | `next()` Deprecated.
`protected void` | `pushIterator(Iterator iter)` Deprecated.
`void` | `remove()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackedIterator

    public StackedIterator(Object contextNode,
                           Navigator navigator)

  Deprecated.

### StackedIterator

    protected StackedIterator()

  Deprecated.

Method Detail

### init

    protected void init(Object contextNode,
                        Navigator navigator)

  Deprecated.

### internalCreateIterator

    protected Iterator internalCreateIterator(Object contextNode)

  Deprecated.

### hasNext

    public boolean hasNext()

  Deprecated.
  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws NoSuchElementException

  Deprecated.
  Specified by:
    `next` in interface `Iterator`
  Throws:
    `NoSuchElementException`

### remove

    public void remove()
                throws UnsupportedOperationException

  Deprecated.
  Specified by:
    `remove` in interface `Iterator`
  Throws:
    `UnsupportedOperationException`

### createIterator

    protected abstract Iterator createIterator(Object contextNode)

  Deprecated.

### pushIterator

    protected void pushIterator(Iterator iter)

  Deprecated.

### getNavigator

    protected Navigator getNavigator()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.